class AR::Events::PerceptionAccountChangedEvent < AR::Events::Event
  attr_participant :perceiver, :discoverable
  attr_accessor :change
  attr_accessor :extended
  
  def initialize params
    super params
    @change =  params[:change]
    @extended = params[:extended]
  end 

  def extended?
    !!(self.extended)
  end


  

end
